#include <stdio.h>
#include <stdlib.h>

int main(){
    int N,L,H[1000];
    scanf("%d %d", &N, &L);
    for(int i=1;i<=N;i++)
    scanf("%d", &H[i]);
    int i=1,ind=-1;
    while(i!=N){
        if(H[i]<=L){
            ind=i;
            break;
        }
        i++;
    }
    printf("%d", ind);
    return 0;
}